Ensure that you meet the following software requirements to run Workspace ONE Assist.

SaaS and On-Premises Device Software Requirements

For a full listing of platform-specific software requirements for devices, see Supported Platforms and Configure End-User Devices.

On-Premises Installation Software Requirements

Table 1. Workspace ONE Assist Server
Requirement Description
Operating System Microsoft Windows Server 2016 or 2012 R2.
Software

Microsoft .NET Framework 4.6.2

Server Roles *
  • Application Server.
  • Web Server IIS.
Features **
  • .NET Framework 4.6 Features.
    • .NET Framework 4.6.
    • ASP .NET 4.6.
    • WCF Services.
      • HTTP Activation.
      • Message Queuing (MSMQ) Activation.
      • Named Pipe Activation.
      • TCP Activation and TCP Port Sharing.
  • Message Queuing Services.
  • Windows Process Activation Service.
    • Process Model.
    • .NET Environment 3.5.
    • Configuration APIs.

* For all-in-one single server deployments or CAP servers, these roles are not required on the Connection Proctor (CP) Servers.

** For all-in-one single server deployments or CAP servers, the ONLY software requirement on Connection Proctor (CP) servers is .NET Framework 4.6.2 or newer.

Table 2. Workspace ONE Assist Database
Requirement Description
Operating System
  • Microsoft Windows Server 2016 or 2012 R2.
Software
  • MS SQL Server of any of the following versions.
    • 2012 Standard.
    • 2014 Standard or Enterprise.
    • 2016 Standard or Enterprise.
    • Express 2012 or later (only for deployments with less than 2000 devices).
  • MS SQL Management Studio 17 (only when SQL Server Express 2012 or later is used).
  • Microsoft .Net Framework 4.6.2.
  • Microsoft SQL Server Management Objects (SMO) DLL.